ru.bitel.bgbilling.modules.mangooffice.common.bean

## Class MangoAccountStatus

- java.lang.Object
- - ru.bitel.bgbilling.modules.mangooffice.common.bean.MangoAccountStatus

-     public class MangoAccountStatus
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MangoAccountStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getBalance()`
    `java.lang.String` | `getBlockDescription()`
    `int` | `getBlockType()`
    `java.lang.String` | `getControl()`
    `int` | `getStatus()`
    `java.lang.String` | `getStatusDescription()`
    `void` | `setBalance(java.math.BigDecimal balance)`
    `void` | `setBlockType(int blockType)`
    `void` | `setControl(java.lang.String control)`
    `void` | `setStatus(int status)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MangoAccountStatus

          public MangoAccountStatus()

  - ### Method Detail

    - #### getControl

          public java.lang.String getControl()

    - #### setControl

          public void setControl(java.lang.String control)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getBlockType

          public int getBlockType()

    - #### setBlockType

          public void setBlockType(int blockType)

    - #### getBalance

          public java.math.BigDecimal getBalance()

    - #### setBalance

          public void setBalance(java.math.BigDecimal balance)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStatusDescription

          public java.lang.String getStatusDescription()

    - #### getBlockDescription

          public java.lang.String getBlockDescription()